<?xml version="1.0"?>
<!--
    The contents of this file are subject to the Mozilla Public License Version 1.1
    (the "License"); you may not use this file except in compliance with the License.
    You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
    WARRANTY OF ANY KIND, either express or implied. See the License for the specific
    language governing rights and limitations under the License.

    The Original Code is the Venice Web Communities System.

    The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
    for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
    Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

    Contributor(s): 
-->
<dialog name="community_profile" defaultbutton="update">
  <title>Edit Community Profile:</title>
  <action>comm/admin/profile.js.vs</action>
  <render-param name="cid"/>
  <hidden name="cc" value=""/>

  <header name="basic_hdr" caption="Basic Information"/>
  <text name="name" caption="Community Name" required="true" size="32" maxlength="128"/>
  <dynamo-id name="alias" caption="Community Alias" required="true" size="32" maxlength="32"/>
  <text name="synopsis" caption="Synopsis" size="32" maxlength="254"/>
  <text name="rules" caption="Rules" size="32" maxlength="254"/>
  <languagelist name="language" caption="Primary Language" required="true"/>
  <text name="url" caption="Home Page" size="32" maxlength="254"/>
  <communitylogo name="logo" caption="Community Logo" link="comm/admin/profile_logo.js.vs?cc=${cid}" type="servlet"/>

  <header name="location_hdr" caption="Location"/>
  <text name="company" caption="Company" size="32" maxlength="254"/>
  <text name="addr1" caption="Address" size="32" maxlength="254"/>
  <text name="addr2" caption="Address" caption2="(line 2)" size="32" maxlength="254"/>
  <text name="loc" caption="City" size="32" maxlength="64"/>
  <text name="reg" caption="State/Province" size="32" maxlength="64"/>
  <text name="pcode" caption="Zip/Postal Code" required="true" size="32" maxlength="64"/>
  <countrylist name="country" caption="Country" required="true"/>

  <header name="security_hdr" caption="Security"/>
  <list name="comtype" caption="Community Type" required="true">
    <choice id="0">Public</choice>
    <choice id="1">Private</choice>
    <choice id="2">Invitation-only</choice>
  </list>
  <text name="joinkey" caption="Join Key" caption2="(for private communities)" size="32" maxlength="254"/>
  <list name="visibility" caption="Community Visibility" required="true">
    <choice id="SEARCHDIR">Show in both directory and search</choice>
    <choice id="SEARCHONLY">Hide in directory, but not in search</choice>
    <choice id="NONE">Hide in both directory and search</choice>
  </list>

  <button name="update"/>
  <button name="cancel"/>
</dialog>